Update a collection by slug
curl --request PUT \
--url https://api.scite.ai/api_partner/collections/{collection_slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"dois": [
"<string>"
],
"description": "",
"isPublic": false,
"isSharedWithOrg": false,
"enableDashboardCitationAlerts": false
}
'import requests
url = "https://api.scite.ai/api_partner/collections/{collection_slug}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"dois": ["<string>"],
"description": "",
"isPublic": False,
"isSharedWithOrg": False,
"enableDashboardCitationAlerts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
dois: ['<string>'],
description: '',
isPublic: false,
isSharedWithOrg: false,
enableDashboardCitationAlerts: false
})
};
fetch('https://api.scite.ai/api_partner/collections/{collection_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"componentLayout": [
{
"components": [
{
"name": "<string>",
"_id": 123,
"width": 123
}
],
"_id": 123
}
],
"doiQuery": {
"query": {
"dois": [
"<string>"
]
}
},
"description": "",
"slug": "<string>",
"dashboardType": "<string>",
"isPublic": false,
"organizationSlug": "<string>",
"lastUpdated": "2023-12-25",
"doisUpdatedTS": "2023-11-07T05:31:56Z",
"doisRefreshedTS": "2023-11-07T05:31:56Z",
"refreshStatus": "-",
"accessType": "VIEWER",
"totalDoiCount": 0,
"matchedDoiCount": 0,
"unmatchedDoiCount": 0,
"unmatchedDois": [
"<unknown>"
],
"warning": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Collections
Update a collection by slug
Only DOI collections can be updated via this endpoint. Use /create for search query based collections.
PUT
/
api_partner
/
collections
/
{collection_slug}
Update a collection by slug
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Set to Bearer <token> to pass token for authorization.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
